文档API 参考

Rust · 0.1.0

Get User Setting

GET /api/v1/users/{user}/settings/{setting}

UserService · UserService_GetUserSetting

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

仅限所有者:路径中的用户必须是已认证调用者;实例管理员身份不允许在此代替其他账号操作。

可用设置键有限

暴露的设置键为 GENERAL、TAGS 与 WEBHOOKS。账号令牌与会话存储不作为设置暴露。WEBHOOKS 在此只读,应通过独立的 Webhook 操作管理。缺失 GENERAL 设置时返回默认投影。

请求

GetUserSetting returns the user setting.

GET/api/v1/users/{user}/settings/{setting}

参数

名称 / 位置类型 / 是否必需描述
user
path
string
必需
The user id.
setting
path
string
必需
The setting id.

请求体

未声明请求体。

响应

200 · OK

application/json · UserSetting

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "UserService"
  ],
  "description": "GetUserSetting returns the user setting.",
  "operationId": "UserService_GetUserSetting",
  "parameters": [
    {
      "name": "user",
      "in": "path",
      "description": "The user id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "setting",
      "in": "path",
      "description": "The setting id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/UserSetting"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}